Skip to main content
PATCH
/
tools
/
{tool_id}
도구 수정
curl --request PATCH \
  --url https://client-api.tryvox.co/v3/tools/{tool_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "input_schema": {},
  "api_configuration": {
    "url": "<string>",
    "method": "GET",
    "headers": {},
    "auth_type": "Basic",
    "auth_credentials": "<string>",
    "timeout_seconds": 30
  },
  "speak_during_execution": {
    "enabled": false,
    "messages": [
      "<string>"
    ]
  },
  "allow_interruption_during_execution": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "input_schema": {},
  "api_configuration": {
    "url": "<string>",
    "method": "GET",
    "has_auth_credentials": true,
    "timeout_seconds": 30,
    "headers": {},
    "auth_type": "Basic"
  },
  "allow_interruption_during_execution": true,
  "created_at": 123,
  "updated_at": 123,
  "description": "<string>",
  "speak_during_execution": {
    "enabled": false,
    "messages": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Path Parameters

tool_id
string<uuid>
required

도구 ID.

Body

application/json

custom 도구 수정 요청입니다. 유지할 필드는 생략하고, 스키마가 허용하는 필드만 null로 비울 수 있습니다.

도구 부분 업데이트 페이로드입니다.

name, input_schema, api_configuration, speak_during_execution, allow_interruption_during_execution 필드는 생략하면 기존 값을 유지하고, null로 보내면 400을 반환합니다. description은 null로 보내면 값이 null로 설정됩니다.

name
string

도구 이름입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]+$
description
string | null

도구 설명입니다. 생략하면 변경하지 않습니다. null로 보내면 값이 null로 설정됩니다.

input_schema
Input Schema · object

도구 입력 파라미터를 정의하는 JSON Schema 객체입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.

api_configuration
ToolApiConfigurationPatch · object

외부 API 호출 설정의 부분 업데이트입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.

speak_during_execution
SpeakDuringExecution · object

실행 중 TTS 메시지 설정입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.

allow_interruption_during_execution
boolean

실행 중 인터럽트 허용 여부입니다. 생략하면 변경하지 않습니다. null로 보내면 400을 반환합니다.

Response

성공 응답

도구 상세 조회/생성/수정 응답 스키마.

id
string<uuid>
required

도구의 고유 식별자입니다.

name
string
required

도구 이름.

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]+$
input_schema
Input Schema · object
required

도구 입력 파라미터를 정의하는 JSON Schema 객체.

api_configuration
ToolApiConfigurationResponse · object
required

외부 API 호출 설정.

allow_interruption_during_execution
boolean
required

도구 실행 중 사용자 발화로 인터럽트 허용 여부.

created_at
integer
required

리소스 생성 시각입니다. unix milliseconds 형식입니다.

updated_at
integer
required

리소스 마지막 수정 시각입니다. unix milliseconds 형식입니다.

description
string | null

도구 설명입니다. 설정하지 않으면 null입니다.

speak_during_execution
SpeakDuringExecution · object

실행 중 TTS 메시지 설정.